DeepSeek Chat v3.1 Terminus

Chat Completions API
deepseek-chat-v3.1-terminus
отDeepseekСоздана 22 сент. 2025 г.160K контекст
Chat Completions API

DeepSeek-V3.1 Terminus is an enhanced version of DeepSeek V3.1 that retains the original model’s capabilities while resolving user-reported issues, such as language consistency and agent functionality. The update further refines the model’s performance in coding and search agent tasks. This large-scale hybrid reasoning model (671B parameters, 37B active) supports both thinking and non-thinking modes. Building on the DeepSeek-V3 foundation, it incorporates a two-phase long-context training approach, allowing for up to 128K tokens, and adopts FP8 microscaling for more efficient inference.

API-методы и структура запроса

Здесь собран публичный контракт интеграции модели: поддерживаемые API-методы, параметры запросов и примеры вызовов.

Chat Completions APIPOST/v1/chat/completions

Пример кода

Пример использования модели через API на Python или cURL. Замените значения-заполнители своим API-ключом и ID модели.

Базовый пример запроса. Проверьте разрешения API-ключа. Подробнее см. документацию.
curl https://api.makura.ai/v1/chat/completions \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  --data-raw '{
  "model": "deepseek-chat-v3.1-terminus",
  "messages": [
    {
      "role": "user",
      "content": "Сколько будет 2 + 2?"
    }
  ]
}'

Параметры

Параметры, доступные в API-запросах
Frequency PenaltyMax Completion TokensPresence PenaltyResponse FormatStopTemperatureTool ChoiceToolsTop PLogit BiasLogprobsReasoning Effort